package de.ozgcloud.nachrichten.common.vorgang;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Nested;
import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class NachrichtenVorgangMapperTest {

	private final NachrichtenVorgangMapper mapper = Mappers.getMapper(NachrichtenVorgangMapper.class);

	@DisplayName("From vorgang with eingang")
	@Nested
	class TestFromVorgangWithEingang {

		@Test
		void shouldMap() {
			var vorgang = mapper.fromVorgangWithEingang(GrpcVorgangWithEingangTestFactory.create());

			assertThat(vorgang).usingRecursiveComparison().isEqualTo(VorgangTestFactory.create());
		}
	}
}
